summaryrefslogtreecommitdiffstats
path: root/debian/tests/test-not-root
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/test-not-root')
-rw-r--r--debian/tests/test-not-root15
1 files changed, 15 insertions, 0 deletions
diff --git a/debian/tests/test-not-root b/debian/tests/test-not-root
new file mode 100644
index 0000000..211de1e
--- /dev/null
+++ b/debian/tests/test-not-root
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+if [ "$(id -u)" = '0' ]; then
+ # Skip, we cannot declare we do not want root.
+ exit 77
+fi
+
+t=test-not-root
+
+mkdir -p $t
+cd $t
+../configure --disable-nls --disable-dselect
+make installcheck